<template>
  <div class="Search">
    <header-top>
      <span slot="Bigtitle">搜索疫情地区</span>
    </header-top>
  </div>
</template>

<script>
//导入的插件
import HeaderTop from "../../components/header/header.vue";
// 方法
import { getRiskArea } from "../../network/CovidRiskArea";

export default {
  name: "Searchriskarea",
  components: {
    HeaderTop,
  },
  data() {
    return {
      area_name: "",
      //   showriskarealist: {
      higharea: [],
      middlearea: [],
      //   },
    };
  },
  created() {
    // 获取当前关键词
    this.area_name = this.$route.params.area_name;
    this.getRiskArea();
  },

  methods: {
    // getRiskArea() {
    //   getRiskArea().then((res) => {
    //     console.log(res.data.highlist);

    //     this.higharea.psuh(...res.data.highlist);
    //     this.middlearea.psuh(...res.data.middlelist);
    //     // 判断字段中是否有area_name的关键词
    //     // this.higharea.forEach((item, index) => {
    //     //   if (item.area_name.indexOf(this.area_name)) {
    //     //     //  表示包含
    //     //     console.log("包含这个地区");
    //     //   } else {
    //     //     console.log("不包含这个区域");
    //     //   }

    //     // });
    //   });
    // },

    getRiskArea() {
      getRiskArea().then((res) => {
        console.log(res);
        // 高风险地区
        this.higharea.push(...res.data.highlist);
        // 中风险地区
        this.middlearea.push(...res.data.middlelist);
      });
    },
  },
};
</script>

<style scoped>
/deep/.search {
  display: none;
}
</style>